#! /bin/bash

top_pathname=`find */src bin/debug/project.exe -type f | xargs ls -t1 | cat | head -1`
top=`basename $top_pathname`

if [ "$top" != "project.exe" ]
then
   echo "touching logic_version.cpp"
   touch ./logic/src/logic_version.cpp
else
   echo "$top is up-to-date"
fi
